@font-face {
  font-family: "Gotham";
  src: url("https://go.kaiserpermanente.org/rs/492-NQU-014/images/Gotham-Book.otf") format("opentype");
  font-weight: 325;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Gotham";
  src: url("https://go.kaiserpermanente.org/rs/492-NQU-014/images/Gotham-BookItalic.otf") format("opentype");
  font-weight: 325;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: "Gotham";
  src: url("https://go.kaiserpermanente.org/rs/492-NQU-014/images/Gotham-Medium.otf") format("opentype");
  font-weight: 350;
  font-style: normal;
  font-display: swap;
}

body {
  font-family: "Gotham", Arial, Helvetica, sans-serif;
  font-size: 14px;
  font-weight: 325;
  color: #0d1c3d;
  background-color: #ffffff;
}

h1 {
  font-size: 40px;
  font-weight: 350;
  line-height: 1;

  @media (min-width: 768px) {
    font-size: 50px;
  }
}

h2 {
  font-size: 24px;
  font-weight: 350;
  line-height: 1.1;
}

h3 {
  font-size: 20px;
  font-weight: 350;
  line-height: 1;
}

h4 {
  font-size: 18px;
  font-weight: 350;
  line-height: 1;
}

a {
  font-weight: 350;
  color: #006ba6;
  text-decoration: none;

  &:hover {
    color: #006ba6;
  }
}

.button,
.mktoButton {
  display: inline-block;
  padding: 12px 24px;
  font-size: 16px;
  line-height: 1.5;
  text-align: center;
  text-decoration: none;
  cursor: pointer;

  &[aria-disabled="true"] {
    pointer-events: none;
    cursor: default;
  }
}

.button-primary,
.mktoButton {
  padding: 10px 35px;
  font-weight: 350;
  color: #ffffff;
  background: #006ba6;
  border: 1px solid transparent;
  border-radius: 100px;
  transition:
    background 300ms ease,
    color 300ms ease;
  
  &:hover {
    color: #fff;

    @media (min-width: 768px) {
      background: #003b71;
      text-decoration: underline;
    }
  }

  &[aria-disabled="true"] {
    color: #9f9f9f;
    background: #e2e2e2;
    border: 1px solid #9f9f9f;
  }
}

.main-container {
  background: #ffffff;
  overflow: hidden;
  margin: 36px auto;
  max-width: 1000px;

  @media (min-width: 768px) {
    margin: 50px auto;
  }
}

.inline-container {
  padding-inline: 24px;

  @media (min-width: 768px) {
    padding-inline: 36px;
  }
}

.logo {
  padding-bottom: 24px;
  text-align: center;

  @media (min-width: 768px) {
    padding-bottom: 36px;
    text-align: unset;
  }
}

.hero {
  display: flex;
  flex-direction: column;
  gap: 36px;
  padding: 36px 24px;
  margin-bottom: 36px;
  background: #007bb7;
  border-radius: 30px;

  @media (min-width: 768px) {
    display: grid;
    grid-template-columns: 1fr 344px;
    gap: 36px;
    align-items: center;
    padding: 36px;
  }
}

.hero-content {
  font-size: 18px;
  line-height: 1.2;
  color: #fff;
}

.hero-title {
  margin-bottom: 16px;
  color: #fff;
}

.hero-description {
  margin-bottom: 0;
  color: #fff;
  font-size: 18px;
  line-height: 1.2;
}

.hero-image {
  img {
    width: 100%;
    height: auto;
    border-radius: 20px;
  }
}

.intro {
  padding-bottom: 16px;
  margin-bottom: 36px;
  border-bottom: 2px solid rgba(160, 165, 182, 0.3);
}

.intro-title {
  margin-bottom: 4px;
}

.column-header {
  margin-bottom: 24px;
}

.select-all-option {
  margin-bottom: 24px;

  &.has-unchecked {
    input[type="checkbox"] {
      &::after {
        top: 50%;
        left: 50%;
        width: 12px;
        height: 2px;
        background: #003b71;
        border-radius: 1px;
        transform: translate(-50%, -50%);
      }
    }
  }
}

.events-group {
  padding-left: 16px;
  margin-bottom: 24px;
  border-left: 2px solid #e3edf2;
}

.events-group > .event-checkbox-item:not(:last-child) {
  margin-bottom: 16px;
}

.events-group-header {
  display: flex;
  align-items: center;
  gap: 8px;
  margin-bottom: 16px;
}

.events-group-title {
  margin-bottom: 0;
}

.event-selector-card {
  height: 300px;
  background: linear-gradient(135deg, #f8f9ff 0%, #e8f0ff 100%);
  border: 2px solid #e1e8ff;
  border-radius: 15px;
}

.event-checkbox-item {
  display: flex;
  align-items: start;
  gap: 8px;
  padding: 16px 12px;
  position: relative;
  width: 100%;
  background: #f2f8fb;
  border: 2px solid transparent;
  border-radius: 10px;
  transition:
    border 300ms ease,
    background 300ms ease,
    color 300ms ease;
  cursor: pointer;

  &:hover {
    border: 2px solid #003b71;
  }

  input[type="checkbox"] {
    &:checked {
      background: #fff;
      border-color: #fff;

      &::after {
        border-color: #003b71;
      }
    }
  }

  &:has(input[type="checkbox"]:checked) {
    color: #fff;
    background: #003b71;

    a {
      color: #fff;
    }
  }
}

.event-checkbox-label {
  font-size: 18px;
  font-weight: 350;
  line-height: 1;
}

.event-checkbox-details {
  display: flex;
  flex-direction: column;

  label {
    margin-bottom: 4px;
  }
}

.event-checkbox-date {
  margin-bottom: 8px;
}

.event-checkbox-link {
  align-self: flex-start;
}

.form {
  input[type="text"],
  input[type="email"],
  input[type="tel"],
  select,
  textarea {
    display: block;
    padding: 12px;
    width: 100%;
    font-size: 16px;
    line-height: 1.5;
    background: #fff;
    border: 1px solid #a0a5b6;
    border-radius: 4px;

    &:focus-visible {
      outline-color: #006ba6;
    }

    &.locked {
      background: #f0f1f4;
      border-color: #c8cad4;
      cursor: not-allowed;
      color: #6b7080;
    }
  }

  label {
    margin-bottom: 4px;
    font-size: 14px;
    font-weight: 350;
    line-height: 1.4;
  }

  a {
    text-decoration: underline;
  }

  select {
    appearance: none;
    background: #fff;
    position: relative;
    padding-right: 36px;
    background-image: url("https://go.kaiserpermanente.org/rs/492-NQU-014/images/chevron.svg");
    background-repeat: no-repeat;
    background-position: right 18px center;
    background-size: 12px;
    cursor: pointer;
  }

  .mktoAsterix {
    display: none;
  }
}

input[type="checkbox"] {
  appearance: none;
  flex-shrink: 0;
  width: 18px;
  height: 18px;
  background: #fff;
  border: 1px solid #677083;
  transform: none !important;
  position: relative;

  &:checked {
    background: #006ba6;
    border-color: #006ba6;
  }

  &:checked::after {
    content: "";
    position: absolute;
    top: calc(50% - 1px);
    left: 50%;
    width: 6px;
    height: 12px;
    border: solid #fff;
    border-width: 0 3px 3px 0;
    transform: translate(-50%, -50%) rotate(45deg);
    pointer-events: none;
  }
}

input[type="radio"] {
  appearance: none;
  width: 17px;
  height: 17px;
  background: #fff;
  border: 1px solid #808080;
  border-radius: 50%;
  position: relative;
  cursor: pointer;

  &:checked {
    background: #fff;
    box-shadow: inset 0 0 0 4px #006ba6;
  }
}

.label-large {
  margin-bottom: 10px;
  font-size: 16px;
}

.mktoCheckboxList {
  display: flex;
  gap: 10px;

  label {
    font-weight: 325;
  }
}

.mktoRadioList {
  display: flex;
  align-items: center;

  > div {
    display: flex;
    align-items: center;
    gap: 4px;
  }

  label {
    margin-right: 32px;
    margin-bottom: 0;

    &:last-child {
      margin-right: 0;
    }
  }

  input[type="radio"] {
    margin-right: 4px;
  }
}

.mktoFormRow {
  margin-bottom: 16px;
}

.mktoFormRow-large {
  margin-bottom: 24px;
}

.continue-button {
  display: flex;
  justify-content: center;
  padding: 9px 24px;
  position: fixed;
  bottom: 0;
  left: 0;
  background: #fff;
  box-shadow: 0 -10px 34px 0 rgba(0, 0, 0, 0.15);
  z-index: 1;

  @media (min-width: 768px) {
    display: none;
  }
}

.modal-dialog {
  max-width: 930px;
}

.modal-container {
  display: flex;
  flex-direction: column;
  gap: 12px;
  padding: 24px;
  background: #fff;
  border-radius: 20px;

  @media (min-width: 768px) {
    padding: 24px 36px 36px;
  }
}

.modal-content {
  display: flex;
  flex-direction: column;
  border: 0;

  @media (min-width: 768px) {
    flex-direction: row;
    gap: 36px;
  }
}

.modal-body {
  padding: 0;
  margin-bottom: 36px;

  @media (min-width: 768px) {
    margin-bottom: 0;
  }
}

.modal-close {
  width: 24px;
  height: 24px;
  align-self: flex-end;
  opacity: 1;
  pointer-events: auto;

  &:hover {
    opacity: 1;
  }
}

.modal-title {
  margin-bottom: 8px;
}

.modal-date,
.modal-description,
.modal-author {
  display: block;
  margin-bottom: 24px;
  font-size: 18px;
  line-height: 1.11;
}

.modal-author {
  margin-bottom: 36px;
}

.modal-register {
  input[type="checkbox"] {
    border-color: #0078b3;

    &:checked {
      background: #fff;

      &::after {
        border-color: #006ba6 #003b71;
      }
    }
  }

  label {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    padding: 10px 24px;
    margin-bottom: 0;
    width: 100%;
    font-size: 16px;
    font-weight: 350;
    line-height: 1.75;
    color: #0078b3;
    background: #fff;
    border: 1px solid #0078b3;
    border-radius: 100px;
    cursor: pointer;

    @media (min-width: 768px) {
      max-width: 193px;
    }

    &:has(input[type="checkbox"]:checked) {
      color: #fff;
      background: #003b71;
    }
  }
}

.modal-image {
  @media (min-width: 768px) {
    flex-shrink: 0;
    width: 300px;
  }

  img {
    width: 100%;
    height: auto;
    border-radius: 20px;
  }
}

.footer {
  display: flex;
  align-items: center;
  padding-top: 36px;
  padding-bottom: 0px;
  margin-top: 64px;
  border-top: 2px solid rgba(160, 165, 182, 0.3);

  a {
    text-decoration: underline;
  }
}